From e8d20777189c96af85a4828b36527edb0cbd4516 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddyforpostgres@gmail.com>
Date: Wed, 3 Jan 2024 11:18:53 +0000
Subject: [PATCH v1] Make Perl warnings fatal in newly added TAP tests

New TAP tests added by commits 9a17be1e and 4710b67d missed to
convert warnings to FATAL. This commit fixes that.
---
 contrib/pg_stat_statements/t/010_restart.pl | 2 +-
 src/bin/pg_upgrade/t/004_subscription.pl    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/contrib/pg_stat_statements/t/010_restart.pl b/contrib/pg_stat_statements/t/010_restart.pl
index 83a2bf0db8..426552c8d4 100644
--- a/contrib/pg_stat_statements/t/010_restart.pl
+++ b/contrib/pg_stat_statements/t/010_restart.pl
@@ -4,7 +4,7 @@
 # across restarts.
 
 use strict;
-use warnings;
+use warnings FATAL => 'all';
 use PostgreSQL::Test::Cluster;
 use PostgreSQL::Test::Utils;
 use Test::More;
diff --git a/src/bin/pg_upgrade/t/004_subscription.pl b/src/bin/pg_upgrade/t/004_subscription.pl
index d08ffffe10..4f7f6d9c04 100644
--- a/src/bin/pg_upgrade/t/004_subscription.pl
+++ b/src/bin/pg_upgrade/t/004_subscription.pl
@@ -2,7 +2,7 @@
 
 # Test for pg_upgrade of logical subscription
 use strict;
-use warnings;
+use warnings FATAL => 'all';
 
 use File::Find qw(find);
 
-- 
2.34.1

